<?php
// This file was auto-generated from sdk-root/src/data/freetier/2023-09-07/api-2.json
return [ 'version' => '2.0', 'metadata' => [ 'apiVersion' => '2023-09-07', 'auth' => [ 'aws.auth#sigv4', ], 'endpointPrefix' => 'freetier', 'jsonVersion' => '1.0', 'protocol' => 'json', 'protocols' => [ 'json', ], 'serviceFullName' => 'AWS Free Tier', 'serviceId' => 'FreeTier', 'signatureVersion' => 'v4', 'signingName' => 'freetier', 'targetPrefix' => 'AWSFreeTierService', 'uid' => 'freetier-2023-09-07', ], 'operations' => [ 'GetAccountActivity' => [ 'name' => 'GetAccountActivity', 'http' => [ 'method' => 'POST', 'requestUri' => '/', ], 'input' => [ 'shape' => 'GetAccountActivityRequest', ], 'output' => [ 'shape' => 'GetAccountActivityResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], ], ], 'GetAccountPlanState' => [ 'name' => 'GetAccountPlanState', 'http' => [ 'method' => 'POST', 'requestUri' => '/', ], 'input' => [ 'shape' => 'GetAccountPlanStateRequest', ], 'output' => [ 'shape' => 'GetAccountPlanStateResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], ], ], 'GetFreeTierUsage' => [ 'name' => 'GetFreeTierUsage', 'http' => [ 'method' => 'POST', 'requestUri' => '/', ], 'input' => [ 'shape' => 'GetFreeTierUsageRequest', ], 'output' => [ 'shape' => 'GetFreeTierUsageResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'ThrottlingException', ], ], ], 'ListAccountActivities' => [ 'name' => 'ListAccountActivities', 'http' => [ 'method' => 'POST', 'requestUri' => '/', ], 'input' => [ 'shape' => 'ListAccountActivitiesRequest', ], 'output' => [ 'shape' => 'ListAccountActivitiesResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'ThrottlingException', ], ], ], 'UpgradeAccountPlan' => [ 'name' => 'UpgradeAccountPlan', 'http' => [ 'method' => 'POST', 'requestUri' => '/', ], 'input' => [ 'shape' => 'UpgradeAccountPlanRequest', ], 'output' => [ 'shape' => 'UpgradeAccountPlanResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'ThrottlingException', ], ], ], ], 'shapes' => [ 'AccessDeniedException' => [ 'type' => 'structure', 'required' => [ 'message', ], 'members' => [ 'message' => [ 'shape' => 'GenericString', ], ], 'exception' => true, ], 'AccountId' => [ 'type' => 'string', 'pattern' => '[0-9]{12}', ], 'AccountPlanStatus' => [ 'type' => 'string', 'enum' => [ 'NOT_STARTED', 'ACTIVE', 'EXPIRED', ], ], 'AccountPlanType' => [ 'type' => 'string', 'enum' => [ 'FREE', 'PAID', ], ], 'Activities' => [ 'type' => 'list', 'member' => [ 'shape' => 'ActivitySummary', ], ], 'ActivityId' => [ 'type' => 'string', 'max' => 32, 'min' => 32, 'pattern' => '[a-zA-Z0-9]+', ], 'ActivityReward' => [ 'type' => 'structure', 'members' => [ 'credit' => [ 'shape' => 'MonetaryAmount', ], ], 'union' => true, ], 'ActivityStatus' => [ 'type' => 'string', 'enum' => [ 'NOT_STARTED', 'IN_PROGRESS', 'COMPLETED', 'EXPIRING', ], ], 'ActivitySummary' => [ 'type' => 'structure', 'required' => [ 'activityId', 'title', 'reward', 'status', ], 'members' => [ 'activityId' => [ 'shape' => 'ActivityId', ], 'title' => [ 'shape' => 'GenericString', ], 'reward' => [ 'shape' => 'ActivityReward', ], 'status' => [ 'shape' => 'ActivityStatus', ], ], ], 'CurrencyCode' => [ 'type' => 'string', 'enum' => [ 'USD', ], ], 'Dimension' => [ 'type' => 'string', 'enum' => [ 'SERVICE', 'OPERATION', 'USAGE_TYPE', 'REGION', 'FREE_TIER_TYPE', 'DESCRIPTION', 'USAGE_PERCENTAGE', ], ], 'DimensionValues' => [ 'type' => 'structure', 'required' => [ 'Key', 'Values', 'MatchOptions', ], 'members' => [ 'Key' => [ 'shape' => 'Dimension', ], 'Values' => [ 'shape' => 'Values', ], 'MatchOptions' => [ 'shape' => 'MatchOptions', ], ], ], 'Expression' => [ 'type' => 'structure', 'members' => [ 'Or' => [ 'shape' => 'Expressions', ], 'And' => [ 'shape' => 'Expressions', ], 'Not' => [ 'shape' => 'Expression', ], 'Dimensions' => [ 'shape' => 'DimensionValues', ], ], ], 'Expressions' => [ 'type' => 'list', 'member' => [ 'shape' => 'Expression', ], ], 'FilterActivityStatuses' => [ 'type' => 'list', 'member' => [ 'shape' => 'ActivityStatus', ], ], 'FreeTierUsage' => [ 'type' => 'structure', 'members' => [ 'service' => [ 'shape' => 'GenericString', ], 'operation' => [ 'shape' => 'GenericString', ], 'usageType' => [ 'shape' => 'GenericString', ], 'region' => [ 'shape' => 'GenericString', ], 'actualUsageAmount' => [ 'shape' => 'GenericDouble', ], 'forecastedUsageAmount' => [ 'shape' => 'GenericDouble', ], 'limit' => [ 'shape' => 'GenericDouble', ], 'unit' => [ 'shape' => 'GenericString', ], 'description' => [ 'shape' => 'GenericString', ], 'freeTierType' => [ 'shape' => 'GenericString', ], ], ], 'FreeTierUsages' => [ 'type' => 'list', 'member' => [ 'shape' => 'FreeTierUsage', ], ], 'GenericDouble' => [ 'type' => 'double', ], 'GenericString' => [ 'type' => 'string', 'max' => 1024, 'min' => 0, 'pattern' => '[\\S\\s]*', ], 'GetAccountActivityRequest' => [ 'type' => 'structure', 'required' => [ 'activityId', ], 'members' => [ 'activityId' => [ 'shape' => 'ActivityId', ], 'languageCode' => [ 'shape' => 'LanguageCode', ], ], ], 'GetAccountActivityResponse' => [ 'type' => 'structure', 'required' => [ 'activityId', 'title', 'description', 'status', 'instructionsUrl', 'reward', ], 'members' => [ 'activityId' => [ 'shape' => 'ActivityId', ], 'title' => [ 'shape' => 'GenericString', ], 'description' => [ 'shape' => 'GenericString', ], 'status' => [ 'shape' => 'ActivityStatus', ], 'instructionsUrl' => [ 'shape' => 'GenericString', ], 'reward' => [ 'shape' => 'ActivityReward', ], 'estimatedTimeToCompleteInMinutes' => [ 'shape' => 'Integer', ], 'expiresAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], 'startedAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], 'completedAt' => [ 'shape' => 'SyntheticTimestamp_date_time', ], ], ], 'GetAccountPlanStateRequest' => [ 'type' => 'structure', 'members' => [], ], 'GetAccountPlanStateResponse' => [ 'type' => 'structure', 'required' => [ 'accountId', 'accountPlanType', 'accountPlanStatus', ], 'members' => [ 'accountId' => [ 'shape' => 'AccountId', ], 'accountPlanType' => [ 'shape' => 'AccountPlanType', ], 'accountPlanStatus' => [ 'shape' => 'AccountPlanStatus', ], 'accountPlanRemainingCredits' => [ 'shape' => 'MonetaryAmount', ], 'accountPlanExpirationDate' => [ 'shape' => 'SyntheticTimestamp_date_time', ], ], ], 'GetFreeTierUsageRequest' => [ 'type' => 'structure', 'members' => [ 'filter' => [ 'shape' => 'Expression', ], 'maxResults' => [ 'shape' => 'MaxResults', ], 'nextToken' => [ 'shape' => 'NextPageToken', ], ], ], 'GetFreeTierUsageResponse' => [ 'type' => 'structure', 'required' => [ 'freeTierUsages', ], 'members' => [ 'freeTierUsages' => [ 'shape' => 'FreeTierUsages', ], 'nextToken' => [ 'shape' => 'NextPageToken', ], ], ], 'Integer' => [ 'type' => 'integer', 'box' => true, ], 'InternalServerException' => [ 'type' => 'structure', 'required' => [ 'message', ], 'members' => [ 'message' => [ 'shape' => 'GenericString', ], ], 'exception' => true, 'fault' => true, ], 'LanguageCode' => [ 'type' => 'string', 'enum' => [ 'en-US', 'en-GB', 'id-ID', 'de-DE', 'es-ES', 'fr-FR', 'ja-JP', 'it-IT', 'pt-PT', 'ko-KR', 'zh-CN', 'zh-TW', 'tr-TR', ], ], 'ListAccountActivitiesRequest' => [ 'type' => 'structure', 'members' => [ 'filterActivityStatuses' => [ 'shape' => 'FilterActivityStatuses', ], 'nextToken' => [ 'shape' => 'NextPageToken', ], 'maxResults' => [ 'shape' => 'MaxResults', ], 'languageCode' => [ 'shape' => 'LanguageCode', ], ], ], 'ListAccountActivitiesResponse' => [ 'type' => 'structure', 'required' => [ 'activities', ], 'members' => [ 'activities' => [ 'shape' => 'Activities', ], 'nextToken' => [ 'shape' => 'NextPageToken', ], ], ], 'MatchOption' => [ 'type' => 'string', 'enum' => [ 'EQUALS', 'STARTS_WITH', 'ENDS_WITH', 'CONTAINS', 'GREATER_THAN_OR_EQUAL', ], ], 'MatchOptions' => [ 'type' => 'list', 'member' => [ 'shape' => 'MatchOption', ], ], 'MaxResults' => [ 'type' => 'integer', 'box' => true, 'max' => 1000, 'min' => 1, ], 'MonetaryAmount' => [ 'type' => 'structure', 'required' => [ 'amount', 'unit', ], 'members' => [ 'amount' => [ 'shape' => 'GenericDouble', ], 'unit' => [ 'shape' => 'CurrencyCode', ], ], ], 'NextPageToken' => [ 'type' => 'string', 'max' => 8192, 'min' => 1, 'pattern' => '[\\S\\s]*', ], 'ResourceNotFoundException' => [ 'type' => 'structure', 'required' => [ 'message', ], 'members' => [ 'message' => [ 'shape' => 'GenericString', ], ], 'exception' => true, ], 'SyntheticTimestamp_date_time' => [ 'type' => 'timestamp', 'timestampFormat' => 'iso8601', ], 'ThrottlingException' => [ 'type' => 'structure', 'required' => [ 'message', ], 'members' => [ 'message' => [ 'shape' => 'GenericString', ], ], 'exception' => true, ], 'UpgradeAccountPlanRequest' => [ 'type' => 'structure', 'required' => [ 'accountPlanType', ], 'members' => [ 'accountPlanType' => [ 'shape' => 'AccountPlanType', ], ], ], 'UpgradeAccountPlanResponse' => [ 'type' => 'structure', 'required' => [ 'accountId', 'accountPlanType', 'accountPlanStatus', ], 'members' => [ 'accountId' => [ 'shape' => 'AccountId', ], 'accountPlanType' => [ 'shape' => 'AccountPlanType', ], 'accountPlanStatus' => [ 'shape' => 'AccountPlanStatus', ], ], ], 'ValidationException' => [ 'type' => 'structure', 'required' => [ 'message', ], 'members' => [ 'message' => [ 'shape' => 'GenericString', ], ], 'exception' => true, ], 'Value' => [ 'type' => 'string', 'max' => 20, 'min' => 1, 'pattern' => '[ a-zA-Z0-9\\-\\:\\.\\_\\/\\,\\$\\(\\)]*', ], 'Values' => [ 'type' => 'list', 'member' => [ 'shape' => 'Value', ], 'min' => 1, ], ],];
